Draft Shape2DView/cs: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(13 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav|[[Draft_DelPoint|Delete point]]|[[Draft_Draft2Sketch|Draft to Sketch]]|[[Draft_Module|Draft]]|IconL=Draft_DelPoint.svg|IconC=Workbench_Draft.svg|IconR=Draft_Draft2Sketch.svg}}
{{Docnav
|[[Draft_FlipDimension|FlipDimension]]
|[[Draft_SelectPlane|SelectPlane]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_FlipDimension.svg
|IconR=Draft_SelectPlane.svg
|IconC=Workbench_Draft.svg
}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/cs|Name=Draft_Shape2DView|Name/cs=Kreslení TělesoDo2DPohledu|Workbenches=[[Draft Module/cs|Kreslení]], [[Arch Module/cs|Architektura]]|MenuLocation=Kreslení -> TělesoDo2D}}
{{GuiCommand/cs|Name=Draft_Shape2DView|Name/cs=Kreslení TělesoDo2DPohledu|Workbenches=[[Draft_Workbench/cs|Kreslení]], [[Arch_Workbench/cs|Architektura]]|MenuLocation=Kreslení -> TělesoDo2D}}
</div>
</div>


<span id="Description"></span>
==Popis==
==Popis==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Tento nástroj umístí do dokumentu 2D objekt, který vznikne zploštěním pohledu vybraného tvaru založeného na objektu [[Part Module/cs|díl]].
Tento nástroj umístí do dokumentu 2D objekt, který vznikne zploštěním pohledu vybraného tvaru založeného na objektu [[Part_Workbench/cs|díl]].
</div>
</div>


The resulting projection is a Draft object and is placed in the 3D view. This object can be displayed on a [[TechDraw Workbench]] Page, using the [[TechDraw NewDraft]] tool. Alternatively, TechDraw has its own tools to create projected views, the [[TechDraw NewView]] and [[TechDraw NewProjGroup]] tools; however, these tools are meant for preparing technical drawings, so they create the views only in the drawing page, and not in the 3D view.
Draft Shape2DView projections can be displayed on a [[TechDraw_Workbench|TechDraw Workbench]] page using the [[TechDraw_DraftView|TechDraw DraftView]] command. Alternatively the [[TechDraw_Workbench|TechDraw Workbench]] offer its own projection commands. But these create projections that are only displayed on the drawing page and not in the [[3D_view|3D view]].


[[Image:Draft_Shape2DView_example.jpg]]
[[Image:Draft_Shape2DView_example.jpg]]
{{Caption|Projection of solid shapes into the XY plane}}
{{Caption|Projection of solid shapes onto the XY plane}}


<span id="Usage"></span>
==Použití==
==Použití==


Line 24: Line 34:
</div>
</div>


==How to produce plans and sections with different linewidths==
The projected object will be created below the selected object, lying on the XY plane. It's position can be changed by changing its properties. The projection direction can also be changed after creation with the [[property editor]].


[[Image:Draft_shape2dview_example_plan.png|700px]]
If the selected object is an [[Arch SectionPlane]], the projection will use the contents and direction of that Section plane; in this case, the "Projection" property will be ignored.


Drawings with different linewidths for viewed and cut lines can easily be produced by using two shape2Dview objects from a same [[Arch_SectionPlane|Arch SectionPlane]]. One of the shape2Dview objects has its projection mode set to '''Solid''', which renders the viewed lines, and another set to '''Cut lines''' or '''Cut faces''' to render the cut lines. The two shape2Dviews are then placed at the same location, one on top of the other.
==Volby==

<div class="mw-translate-fuzzy">
* Je-li vybraný objekt v [[Arch SectionPlane/cs|Architektura Řez]], bude ve 2D projekci obsah řezu, a projekční vektor bude převzat z řezu místo z vlastnosti Projekce (dále).
* Normální operační mód je '''Těleso''', který promítá celý tvar, ale pokud při vytváření 2D pohledu vyberete některou plochu ze základního objektu, můžete také nastavit mód '''Individuální plochy''', což zajistí, že budou promítnuty pouze vybrané povrchy.
* Je-li vybraný objekt v [[Arch SectionPlane/cs|Architektura Řez]], je k dispozici i projekční mód '''řezné čáry''', který promítá pouze hrany řezu.
</div>


<span id="Properties"></span>
==Vlastnosti==
==Vlastnosti==

See also: [[Property_editor|Property editor]].

A Draft Shape2DView object is derived from a [[Part_Part2DObject|Part Part2DObject]] and inherits all its properties. It also has the following additional properties:

===Data===

{{TitleProperty|Draft}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 42: Line 55:
* {{PropertyData|Projection Mode}}: Projekční mód: těleso, individuální plochy nebo řezné čáry.
* {{PropertyData|Projection Mode}}: Projekční mód: těleso, individuální plochy nebo řezné čáry.
</div>
</div>

===View===

{{TitleProperty|Draft}}

* {{PropertyView|Pattern|Enumeration}}: not used.
* {{PropertyView|Pattern Size|Float}}: not used.

==Scripting==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 52: Line 74:


{{Code|code=
{{Code|code=
Shape2DView = makeShape2DView(baseobj, projectionVector=None, facenumbers=[])
shape2dview = make_shape2dview(baseobj, projectionVector=None, facenumbers=[])
}}
}}


Line 62: Line 84:
</div>
</div>


The {{incode|ProjectionMode}} attribute needs to be overwritten with the desired mode, which can be {{incode|"Solid"}}, {{incode|"Individual Faces"}}, {{incode|"Cutlines"}}, or {{incode|"Cutfaces"}}.
Change the {{incode|ProjectionMode}} property of the created object if required. It can be: {{incode|"Solid"}}, {{incode|"Individual Faces"}}, {{incode|"Cutlines"}}, {{incode|"Cutfaces"}} or {{incode|"Solid faces"}}.


Příklad:
Příklad:


{{Code|code=
{{Code|code=
import FreeCAD, Draft
import FreeCAD as App
import Draft


doc = App.newDocument()
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 2300
Box.Width = 800
Box.Height = 1000


box = doc.addObject("Part::Box", "Box")
Shape1 = Draft.makeShape2DView(Box)
box.Length = 2300
box.Width = 500
box.Height = 1000


shape1 = Draft.make_shape2dview(box)
Shape2 = Draft.makeShape2DView(Box, FreeCAD.Vector(1, -1, 1))


Shape3 = Draft.makeShape2DView(Box, FreeCAD.Vector(-1, 1, 1), [4,5])
shape2 = Draft.make_shape2dview(box, App.Vector(1, -1, 1))
Shape3.ProjectionMode = "Individual Faces"


shape3 = Draft.make_shape2dview(box, App.Vector(-1, 1, 1), [0, 5])
FreeCAD.ActiveDocument.recompute()
shape3.ProjectionMode = "Individual Faces"

doc.recompute()
}}
}}


{{Docnav|[[Draft_DelPoint|Delete point]]|[[Draft_Draft2Sketch|Draft to Sketch]]|[[Draft_Module|Draft]]|IconL=Draft_DelPoint.svg|IconC=Workbench_Draft.svg|IconR=Draft_Draft2Sketch.svg}}


{{Docnav
{{Draft Tools navi}}
|[[Draft_FlipDimension|FlipDimension]]
|[[Draft_SelectPlane|SelectPlane]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_FlipDimension.svg
|IconR=Draft_SelectPlane.svg
|IconC=Workbench_Draft.svg
}}


{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Latest revision as of 19:51, 29 April 2023

Kreslení TělesoDo2DPohledu

Umístění Menu
Kreslení -> TělesoDo2D
Pracovní stoly
Kreslení, Architektura
Výchozí zástupce
Nikdo
Představen ve verzi
-
Viz také
Nikdo

Popis

Tento nástroj umístí do dokumentu 2D objekt, který vznikne zploštěním pohledu vybraného tvaru založeného na objektu díl.

Draft Shape2DView projections can be displayed on a TechDraw Workbench page using the TechDraw DraftView command. Alternatively the TechDraw Workbench offer its own projection commands. But these create projections that are only displayed on the drawing page and not in the 3D view.

Projection of solid shapes onto the XY plane

Použití

  1. Vyberte objekt, ze kterého chcete extrahovat 2D pohled
  2. Stiskněte tlačítko Kreslení TělesoDo2D

How to produce plans and sections with different linewidths

Drawings with different linewidths for viewed and cut lines can easily be produced by using two shape2Dview objects from a same Arch SectionPlane. One of the shape2Dview objects has its projection mode set to Solid, which renders the viewed lines, and another set to Cut lines or Cut faces to render the cut lines. The two shape2Dviews are then placed at the same location, one on top of the other.

Vlastnosti

See also: Property editor.

A Draft Shape2DView object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:

Data

Draft

  • ÚdajeProjection: Směr projekce.
  • ÚdajeProjection Mode: Projekční mód: těleso, individuální plochy nebo řezné čáry.

View

Draft

  • PohledPattern (Enumeration): not used.
  • PohledPattern Size (Float): not used.

Scripting

Skriptování

Nástroj TělesoDo2D může být použit v makrech a z konzoly Pythonu použitím následující funkce:

shape2dview = make_shape2dview(baseobj, projectionVector=None, facenumbers=[])
  • Přidá 2D tvar do dokumentu, tvar je 2D projekce zadaného objektu.
  • Může být specifikován projekční vektor.
  • Vrací vygenerovaný objekt.
  • Může být zadán seznam čísel ploch, které mají být použity.

Change the ProjectionMode property of the created object if required. It can be: "Solid", "Individual Faces", "Cutlines", "Cutfaces" or "Solid faces".

Příklad:

import FreeCAD as App
import Draft

doc = App.newDocument()

box = doc.addObject("Part::Box", "Box")
box.Length = 2300
box.Width = 500
box.Height = 1000

shape1 = Draft.make_shape2dview(box)

shape2 = Draft.make_shape2dview(box, App.Vector(1, -1, 1))

shape3 = Draft.make_shape2dview(box, App.Vector(-1, 1, 1), [0, 5])
shape3.ProjectionMode = "Individual Faces"

doc.recompute()